
ServerEvents.recipes(event => {
//dark matter armor
    event.recipes.gtceu.assembler("projecte:dm_helmet")
        .itemInputs("gtceu:quarktech_helmet",
            "gtceu:zpm_field_generator",
            "gtceu:zpm_sensor",
            "16x gtceu:fine_europium_wire",
            "4x gtceu:osmiridium_screw",
            "5x gtceu:quantum_star",
            "25x projecte:dark_matter"
        )
        .itemOutputs("projecte:dm_helmet")
        .duration(600)
        .EUt(GTValues.VA[GTValues.UV])
	
    event.recipes.gtceu.assembler("projecte:dm_chestplate")
        .itemInputs("gtceu:quarktech_chestplate",
            "gtceu:zpm_field_generator",
            "8x gtceu:zpm_emitter",
            "16x gtceu:fine_europium_wire",
            "4x gtceu:osmiridium_screw",
            "8x gtceu:quantum_star",
            "40x projecte:dark_matter"
        )
        .itemOutputs("projecte:dm_chestplate")
        .duration(600)
        .EUt(GTValues.VA[GTValues.UV])
	
    event.recipes.gtceu.assembler("projecte:dm_leggings")
        .itemInputs("gtceu:quarktech_leggings",
            "gtceu:zpm_field_generator",
            "8x gtceu:zpm_electric_motor",
            "16x gtceu:fine_europium_wire",
            "4x gtceu:osmiridium_screw",
            "7x gtceu:quantum_star",
            "35x projecte:dark_matter"
        )
        .itemOutputs("projecte:dm_leggings")
        .duration(600)
        .EUt(GTValues.VA[GTValues.UV])
	
    event.recipes.gtceu.assembler("projecte:dm_boots")
        .itemInputs("gtceu:quarktech_boots",
            "gtceu:zpm_field_generator",
            "4x gtceu:zpm_electric_piston",
            "16x gtceu:fine_europium_wire",
            "4x gtceu:osmiridium_screw",
            "4x gtceu:quantum_star",
            "20x projecte:dark_matter"
        )
        .itemOutputs("projecte:dm_boots")
        .duration(600)
        .EUt(GTValues.VA[GTValues.UV])
//red matter armor
    event.recipes.gtceu.assembler("projecte:rm_helmet")
		.inputFluids("gtceu:living_soldering_alloy 288")
        .itemInputs("projecte:dm_helmet",
            "gtceu:uv_field_generator",
            "gtceu:uv_sensor",
            "32x gtceu:fine_tritanium_wire",
            "4x gtceu:tritanium_screw",
            "25x projecte:red_matter",
        )
        .itemOutputs("projecte:rm_helmet")
        .duration(800)
        .EUt(GTValues.VA[GTValues.UV])

    event.recipes.gtceu.assembler("projecte:rm_chestplate")
		.inputFluids("gtceu:living_soldering_alloy 288")
        .itemInputs("projecte:dm_chestplate",
            "4x gtceu:uv_field_generator",
            "8x gtceu:uv_emitter",
            "32x gtceu:fine_tritanium_wire",
            "4x gtceu:tritanium_screw",
            "40x projecte:red_matter",
        )
        .itemOutputs("projecte:rm_chestplate")
        .duration(800)
        .EUt(GTValues.VA[GTValues.UV])

    event.recipes.gtceu.assembler("projecte:rm_leggings")
		.inputFluids("gtceu:living_soldering_alloy 288")
        .itemInputs("projecte:dm_leggings",
            "gtceu:uv_field_generator",
            "8x gtceu:uv_electric_motor",
            "32x gtceu:fine_tritanium_wire",
            "4x gtceu:tritanium_screw",
            "35x projecte:red_matter",
        )
        .itemOutputs("projecte:rm_leggings")
        .duration(800)
        .EUt(GTValues.VA[GTValues.UV])

    event.recipes.gtceu.assembler("projecte:rm_boots")
		.inputFluids("gtceu:living_soldering_alloy 288")
        .itemInputs("projecte:dm_boots",
            "gtceu:uv_field_generator",
            "8x gtceu:uv_electric_piston",
            "32x gtceu:fine_tritanium_wire",
            "4x gtceu:tritanium_screw",
            "20x projecte:red_matter",
        )
        .itemOutputs("projecte:rm_boots")
        .duration(800)
        .EUt(GTValues.VA[GTValues.UV])
  //gem armor
  
	    event.recipes.gtceu.assembly_line("projecte:gem_helmet")
        .itemInputs(
            "projecte:klein_star_omega",
            "5x #gtceu:circuits/uhv",
            "gtceu:uhv_sensor",
            "gtceu:uhv_field_generator",
            "10x gtceu:gravi_star",
            "4x gtceu:omnium_screw",
            "2x gtceu:dense_infinity_plate",
            "12x monilabs:transcendental_matrix_foil",
            "64x projecte:red_matter",
            "32x projecte:red_matter"
        )
        .inputFluids("gtceu:omnium 144", "kubejs:antimatter_fuel 72", "gtceu:living_soldering_alloy 288", "gtceu:neutronium 576")
        .itemOutputs("projecte:gem_helmet")
        .duration(400)
        .EUt(GTValues.VA[GTValues.UHV])
        .stationResearch(b => b
            .researchStack("projecte:rm_helmet")
            .CWUt(128)
            .EUt(GTValues.VA[GTValues.UV])
			)
	
	    event.recipes.gtceu.assembly_line("projecte:gem_chestplate")
        .itemInputs(
            "projecte:klein_star_omega",
            "8x #gtceu:circuits/uhv",
            "2x gtceu:uhv_emitter",
            "gtceu:uhv_field_generator",
            "16x gtceu:gravi_star",
            "4x gtceu:omnium_screw",
            "2x gtceu:dense_infinity_plate",
            "12x monilabs:transcendental_matrix_foil",
            "64x projecte:red_matter",
            "32x projecte:red_matter"
        )
        .inputFluids("gtceu:omnium 144", "kubejs:antimatter_fuel 72", "gtceu:living_soldering_alloy 288", "gtceu:neutronium 576")
        .itemOutputs("projecte:gem_chestplate")
        .duration(400)
        .EUt(GTValues.VA[GTValues.UHV])
        .stationResearch(b => b
            .researchStack("projecte:rm_chestplate")
            .CWUt(128)
            .EUt(GTValues.VA[GTValues.UV])
			)
	
	    event.recipes.gtceu.assembly_line("projecte:gem_leggings")
        .itemInputs(
            "projecte:klein_star_omega",
            "7x #gtceu:circuits/uhv",
            "5x gtceu:uhv_electric_motor",
            "gtceu:uhv_field_generator",
            "14x gtceu:gravi_star",
            "4x gtceu:omnium_screw",
            "2x gtceu:dense_infinity_plate",
            "12x monilabs:transcendental_matrix_foil",
            "64x projecte:red_matter",
            "32x projecte:red_matter"
        )
        .inputFluids("gtceu:omnium 144", "kubejs:antimatter_fuel 72", "gtceu:living_soldering_alloy 288", "gtceu:neutronium 576")
        .itemOutputs("projecte:gem_leggings")
        .duration(400)
        .EUt(GTValues.VA[GTValues.UHV])
        .stationResearch(b => b
            .researchStack("projecte:rm_leggings")
            .CWUt(128)
            .EUt(GTValues.VA[GTValues.UV])
			)
	
	    event.recipes.gtceu.assembly_line("projecte:gem_boots")
        .itemInputs(
            "projecte:klein_star_omega",
            "4x #gtceu:circuits/uhv",
            "2x gtceu:uhv_electric_piston",
            "gtceu:uhv_field_generator",
            "8x gtceu:gravi_star",
            "4x gtceu:omnium_screw",
            "2x gtceu:dense_infinity_plate",
            "12x monilabs:transcendental_matrix_foil",
            "64x projecte:red_matter",
            "32x projecte:red_matter"
        )
        .inputFluids("gtceu:omnium 144", "kubejs:antimatter_fuel 72", "gtceu:living_soldering_alloy 288", "gtceu:neutronium 576")
        .itemOutputs("projecte:gem_boots")
        .duration(400)
        .EUt(GTValues.VA[GTValues.UHV])
        .stationResearch(b => b
            .researchStack("projecte:rm_boots")
            .CWUt(128)
            .EUt(GTValues.VA[GTValues.UV])
			)
	
})
